Bug 996278 - Feature request - Can the installer point to an EAP .zip in addition to, or rather than, point to the directory of an EAP installation
Feature request - Can the installer point to an EAP .zip in addition to, or r...
Status: CLOSED WONTFIX
Product: JBoss Fuse Service Works 6
Classification: JBoss
Component: Installer (Show other bugs)
6.0.0
Unspecified Unspecified
unspecified Severity urgent
: ER3
: ---
Assigned To: Thomas Hauser
Len DiMaggio
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-12 16:22 EDT by Len DiMaggio
Modified: 2014-09-04 10:27 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-27 14:02:10 EDT
Type: Enhancement
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Len DiMaggio 2013-08-12 16:22:00 EDT
Description of problem:

This will make installations much easier for users. 

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 Thomas Hauser 2013-08-13 10:26:04 EDT
There are a few problems I see with this feature:
a) What constitutes a valid EAP.zip? We can read the entire zip and check it against some kind of file or entry list, I suppose. 
b) This given zip could then be extracted, but there would need to be additions to the UI (and likely IzPack itself) in order for this to work.

Generally to get this to work would take changing IzPack itself, which I would like to avoid doing this close to release time.
Comment 2 Thomas Hauser 2013-08-26 16:49:28 EDT
As mentioned in this document: https://docspace.corp.redhat.com/docs/DOC-147383 we now include EAP 6.1.0 in the installer.
Comment 3 Thomas Hauser 2013-09-20 15:51:33 EDT
Supported install directories:
a) Completely blank:
  - The installer will lay down a new EAP installation

b) Existing directory with no jboss-eap-6.1 subdirectory:
  - Same as a)

c) Existing directory with existing jboss-eap-6.1 subdirectory:
  - If product.conf exists and contains slot=eap, continue
  - If layers.conf does not exist, continue
  - If either standalone.sh + standalone.xml OR domain.sh + domain.xml + host.xml exist, continue
  - Install everything else excluding EAP. 

If any of the above conditions aren't met, the user will get an error, as the given directory is assumed to be a modified (non-stock) EAP install. The user will have to use a different directory to install in this case.
Comment 4 Len DiMaggio 2013-09-23 12:16:09 EDT
Changing this bz to a feature request to be reconsidered after beta.

Is there any way to support users who have a different/newer EAP .zip file and want to install EAP from this zip and FSW/SOA6 from its installer jar in a single action.
Comment 8 Thomas Hauser 2013-11-13 11:56:59 EST
Definitely will not be present in ER7.

Note You need to log in before you can comment on or make changes to this bug.